#!/bin/sh

mkdir ~/widevine_temp

echo "Lade widevine..."
curl -s https://dl.google.com/dl/edgedl/chromeos/recovery/recovery.conf \
| grep -A 12 'Acer Chromebook R13' \
| grep -o 'https.*' | xargs curl > ~/widevine_temp/image.bin.zip

cd ~/widevine_temp
echo "Datei wird extrahiert. Bitte Geduld."
unzip ~/widevine_temp/image.bin.zip

mv ~/widevine_temp/*.bin ~/widevine_temp/image.bin

mkdir -p ~/widevine_temp/chromeos

LOPD=$(losetup -f)
sudo losetup -P $LOPD ~/widevine_temp/image.bin
sudo mount -o ro ${LOPD}p3 ~/widevine_temp/chromeos

cp ~/widevine_temp/chromeos/opt/google/chrome/libwidevinecdm.so ~/.kodi/cdm/

chmod 644 ~/.kodi/cdm/libwidevinecdm*

echo "Alles erledigt. Bitte neu starten!"

umount ~/widevine_temp/chromeos
rm -r ~/widevine_temp 